### Constructor

# Gtk.ConstantExpression.new_for_value

#### Declaration [src]

    GtkExpression*
    gtk_constant_expression_new_for_value (
      const GValue* value
    )

#### Description [src]

Creates an expression that always evaluates to the given `value`.

#### Parameters

`value` | `const GValue*`
| a `GValue`
| Ownership is not transferred to the callee

#### Return value

Returns: `GtkConstantExpression`
a new `GtkExpression`
Ownership of the data is transferred to the caller